| Home | Libraries | People | FAQ | More

## Class exception

boost::mpi::exception — Catch-all exception class for MPI errors.

## Synopsis

    // In header: <boost/mpi/exception.hpp>

    class exception : public exception {
    public:
      // construct/copy/destruct
      exception(const char *, int);
      ~exception();

      // public member functions
      virtual const char * what() const;
      const char * routine() const;
      int result_code() const;
      int error_class() const;
    };

## Description

Instances of this class will be thrown when an MPI error occurs. MPI failures that trigger these exceptions may or may not be recoverable, depending on the underlying MPI implementation. Consult the documentation for your MPI implementation to determine the effect of MPI errors.

### `exception` public construct/copy/destruct

1.     exception(const char * routine, int result_code);

   Build a new `exception` exception.

   Parameters:

   `result_code` | The result code returned from the MPI routine that aborted with an error.
   `routine` | The MPI routine in which the error occurred. This should be a pointer to a string constant: it will not be copied.

2.     ~exception();

### `exception` public member functions

1.     virtual const char * what() const;

   A description of the error that occurred.

2.     const char * routine() const;

   Retrieve the name of the MPI routine that reported the error.

3.     int result_code() const;

   Retrieve the result code returned from the MPI routine that reported the error.

4.     int error_class() const;

   Returns the MPI error class associated with the error that triggered this exception.